Ee stack install failed


#1

Hello i have a problem after ee stack purge

after install ee stack install

shows like below : Adding repository for MySQL, please wait… Adding repository for NGINX, please wait… Adding repository for PHP, please wait… Updating apt-cache, please wait… Oops Something went wrong!! Check logs for reason tail /var/log/ee/ee.log & Try Again!!!

Hit http://download.webmin.com sarge Release Hit http://download.webmin.com sarge/contrib amd64 Packages Err http://download.webmin.com jessie/contrib amd64 Packages 404 Not Found Ign http://download.webmin.com jessie/contrib Translation-en Ign http://download.webmin.com sarge/contrib Translation-en Fetched 234 kB in 19s (11.7 kB/s) 2017-10-14 02:01:51,779 (INFO) ee : Oops Something went wrong!! 2017-10-14 02:01:51,780 (ERROR) ee : Check logs for reason tail /var/log/ee/ee.log & Try Again!!!

any solution for this please


#2

root@vultr:/etc/apt/sources.list.d# tail /var/log/ee/ee.log Connection failed Ign http://download.opensuse.org Release Ign http://download.opensuse.org Packages/DiffIndex Err http://download.opensuse.org Translation-en Connection failed Err http://download.opensuse.org Packages Connection failed Fetched 12.6 kB in 4s (2764 B/s) 2017-10-14 09:00:17,499 (INFO) ee : Oops Something went wrong!! 2017-10-14 09:00:17,499 (ERROR) ee : Check logs for reason tail /var/log/ee/ee.log & Try Again!!! — another log, coding is not poetry to me… :slight_smile: hope someone can respond :slight_smile:


#3

Please, search the forum. This is not necessarily new (unfortunately).


#4

This seems to be related to http://community.easyengine.io/t/repo-key-expired-error-for-easyengine-on-ubuntu-16-04/9227/10, but I tried all solutions listed there, nothing worked.


#5

i face the same problem when i tried to install another new empty server with fresh easyenngine 3.7.4 as comparation : logs : nginx, php,mariadb,postfix not installed


#6

is this also an outage Upon Suse repo ?


#7

Your error message states the server could not connect to Open Suse repo.

Do you think your issue is related to the outage on Open Suse? I bet this would be a very good guess.


#8

i wish so, thank you for your information, tried also solutions here nothing worked for me, even if a new ee installation with a new fresh server also failed. thank you portofacil


#9

I’m cool so far, because this outage was announced ten days in advance, and their expectation is to have everything on track again by tomorrow.


#10

Just tested updating EE on a server of mine, and the problem seems to be solved.


#11

yes, i still get this


#12

The following packages have unmet dependencies: nginx-custom : Depends: nginx-common (= 1.10.3-10ppa~stable) but it is not going to be installed nginx-ee : Depends: nginx-common (= 1.10.3-10ppa~stable) but it is not going to be installed E: Unable to correct problems, you have held broken packages. 2017-10-14 17:38:03,761 (INFO) ee : Oops Something went wrong!! 2017-10-14 17:38:03,761 (ERROR) ee : Check logs for reason tail /var/log/ee/ee.log & Try Again!!!


#13

i hope solve this problem they key is read every “tail /var/log/ee/ee.log” carefully tiring but phew headache… thanks RT Camp team


#14

Rebuild your VPS from zero (reinstall OS or something, I don’t know how Vultr name their stuff) and install EE and EE Stack one by one.

This is an excerpt of my deploy.sh script, used to install a new server with all components, fixes and additions:

# EASYENGINE (NGINX,PHP,MYSQL,REDIS)
wget -qO ee rt.cx/ee && sudo bash ee

MODULES="nginx php7 mysql redis wpcli phpmyadmin"
for MODULO in $MODULES
do
  ee stack install --$MODULO
done

Unfortunately I can’t share the script as it is because there are sensitive information in it (public keys, passwords, etc).


#15

thank you for your reply sir, i have fixed my server


#16